# DynamicPayloadFormat Class Reference
[Payload types and formats.]

Dynamic payload format objects. More...

`#include <formats.h>`

Inheritance diagram for DynamicPayloadFormat:

List of all members.

## Public Member Functions

| DynamicPayloadFormat (PayloadType type, uint32 rate)
| Constructor.

## Detailed Description

Dynamic payload format objects.

Class of payload formats objects for payload types dynamically negotiated. Because these payloads do not have a fix RTP clock rate assigned, it must be specified to the constructor. This class will be used by applications that support dynamic payload negotiation.

Author:
  Federico Montesino Pouzols <fedemp@altern.org>

## Constructor & Destructor Documentation

DynamicPayloadFormat::DynamicPayloadFormat | ( | PayloadType | type,
|  | uint32 | rate
| ) |  |

Constructor.

Builds a dynamic payload format from payload numeric identifier and the corresponding RTP clock rate.

Parameters:

  type | payload type numeric identifier.
  rate | RTP clock rate.

The documentation for this class was generated from the following file:

- formats.h